Bug 733849 - [abrt] deluge-gtk-1.3.3-1.fc15: client.py:310:call:AttributeError: 'NoneType' object has no attribute 'send_request'
Summary: [abrt] deluge-gtk-1.3.3-1.fc15: client.py:310:call:AttributeError: 'NoneType'...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: deluge
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rahul Sundaram
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:ba270737a7094000cfd8130a01a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-27 16:29 UTC by Nikolay Vladimirov
Modified: 2011-11-05 10:34 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-05 10:34:01 UTC


Attachments (Terms of Use)

Description Nikolay Vladimirov 2011-08-27 16:29:40 UTC
abrt version: 2.0.3
architecture:   x86_64
cmdline:        /usr/bin/python /usr/bin/deluge-gtk
component:      deluge
executable:     /usr/bin/deluge-gtk
kernel:         2.6.40.3-0.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        deluge-gtk-1.3.3-1.fc15
reason:         client.py:310:call:AttributeError: 'NoneType' object has no attribute 'send_request'
time:           Sat Aug 27 19:15:51 2011
uid:            501
username:       mimcho

backtrace:
:client.py:310:call:AttributeError: 'NoneType' object has no attribute 'send_request'
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/deluge/ui/gtkui/torrentview.py", line 534, in on_selection_changed
:    component.get("TorrentDetails").update()
:  File "/usr/lib/python2.7/site-packages/deluge/ui/gtkui/torrentdetails.py", line 367, in update
:    self.tabs[name].update()
:  File "/usr/lib/python2.7/site-packages/deluge/ui/gtkui/status_tab.py", line 120, in update
:    selected, status_keys).addCallback(self._on_get_torrent_status)
:  File "/usr/lib/python2.7/site-packages/deluge/ui/sessionproxy.py", line 138, in get_torrent_status
:    d = client.core.get_torrent_status(torrent_id, keys_to_get, True)
:  File "/usr/lib/python2.7/site-packages/deluge/ui/client.py", line 504, in __call__
:    return self.daemon.call(self.base, *args, **kwargs)
:  File "/usr/lib/python2.7/site-packages/deluge/ui/client.py", line 310, in call
:    self.protocol.send_request(request)
:AttributeError: 'NoneType' object has no attribute 'send_request'
:
:Local variables in innermost frame:
:self: <deluge.ui.client.DaemonSSLProxy object at 0x37c3b10>
:args: ('b3a5ad16cbad3e4ff2049282c05c66069dbbb41d', ['progress', 'num_pieces', 'piece_length', 'distributed_copies', 'all_time_download', 'total_payload_download', 'total_uploaded', 'total_payload_upload', 'download_payload_rate', 'upload_payload_rate', 'num_peers', 'num_seeds', 'total_peers', 'total_seeds', 'eta', 'ratio', 'next_announce', 'tracker_status', 'max_connections', 'max_upload_slots', 'max_upload_speed', 'max_download_speed', 'active_time', 'seeding_time', 'seed_rank', 'is_auto_managed', 'time_added'], True)
:request: core.get_torrent_status(b3a5ad16cbad3e4ff2049282c05c66069dbbb41d, ['progress', 'num_pieces', 'piece_length', 'distributed_copies', 'all_time_download', 'total_payload_download', 'total_uploaded', 'total_payload_upload', 'download_payload_rate', 'upload_payload_rate', 'num_peers', 'num_seeds', 'total_peers', 'total_seeds', 'eta', 'ratio', 'next_announce', 'tracker_status', 'max_connections', 'max_upload_slots', 'max_upload_speed', 'max_download_speed', 'active_time', 'seeding_time', 'seed_rank', 'is_auto_managed', 'time_added'], True)
:method: 'core.get_torrent_status'
:kwargs: {}

comment:
:1. Deluge 1.3.2 daemon on Fedora 15 machine. All stable updates from 27 Aug 2011
:2. Connected to the daemon from Ubuntu 11.04 macine using Deluge 1.3.1
:3. Then connected with this machine and right clicked a torrent. Deluge crashed.

Comment 1 Spikeophant 2011-09-21 20:45:22 UTC
Package: deluge-gtk-1.3.3-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment
-----
Program was idling in tray, no torrents loaded.

Comment 2 Nikolay Vladimirov 2011-11-05 10:34:01 UTC
No longer reproducible.


Note You need to log in before you can comment on or make changes to this bug.